/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.PersonRole;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class Buyer extends RelMgmt.Party.PersonRole {
    public BigDecimal calcAvgPO() {
        return new BigDecimal(0);
    }

    /**  */
    public BigDecimal assessEffectivenessAtGettingDiscounts() {
        return new BigDecimal(0);
    }

    public Vector listPOs() {
        return new Vector();
    }

    /**
     *@supplierCardinality 0..*
     *@clientCardinality 1
     */
    private MatlResMgmt.POToSupplier.POToSupplier lnkUnnamed;
}


